scispace - formally typeset
Search or ask a question

Showing papers in "Combinatorica in 1986"


Journal ArticleDOI
TL;DR: It is shown that a regular bipartite graph is an expanderif and only if the second largest eigenvalue of its adjacency matrix is well separated from the first.
Abstract: Linear expanders have numerous applications to theoretical computer science Here we show that a regular bipartite graph is an expanderif and only if the second largest eigenvalue of its adjacency matrix is well separated from the first This result, which has an analytic analogue for Riemannian manifolds enables one to generate expanders randomly and check efficiently their expanding properties It also supplies an efficient algorithm for approximating the expanding properties of a graph The exact determination of these properties is known to be coNP-complete

1,121 citations


Journal ArticleDOI
TL;DR: Answering a question of Vera Sós, it is shown how Lovász’ lattice reduction can be used to find a point of a given lattice, nearest within a factor ofcd (c = const.) to a given point in Rd.
Abstract: Answering a question of Vera Sos, we show how Lovasz’ lattice reduction can be used to find a point of a given lattice, nearest within a factor ofc d (c = const.) to a given point in R d . We prove that each of two straightforward fast heuristic procedures achieves this goal when applied to a lattice given by a Lovasz-reduced basis. The verification of one of them requires proving a geometric feature of Lovasz-reduced bases: ac 1 lower bound on the angle between any member of the basis and the hyperplane generated by the other members, wherec 1 = √2/3. As an application, we obtain a solution to the nonhomogeneous simultaneous diophantine approximation problem, optimal within a factor ofC d . In another application, we improve the Grotschel-Lovasz-Schrijver version of H. W. Lenstra’s integer linear programming algorithm. The algorithms, when applied to rational input vectors, run in polynomial time.

1,030 citations


Journal ArticleDOI
TL;DR: This paper uses F-heaps to obtain fast algorithms for finding minimum spanning trees in undirected and directed graphs and can be extended to allow a degree constraint at one vertex.
Abstract: Recently, Fredman and Tarjan invented a new, especially efficient form of heap (priority queue). Their data structure, theFibonacci heap (or F-heap) supports arbitrary deletion inO(logn) amortized time and other heap operations inO(1) amortized time. In this paper we use F-heaps to obtain fast algorithms for finding minimum spanning trees in undirected and directed graphs. For an undirected graph containingn vertices andm edges, our minimum spanning tree algorithm runs inO(m logβ (m, n)) time, improved fromO(mβ(m, n)) time, whereβ(m, n)=min {i|log(i) n ≦m/n}. Our minimum spanning tree algorithm for directed graphs runs inO(n logn + m) time, improved fromO(n log n +m log log log(m/n+2) n). Both algorithms can be extended to allow a degree constraint at one vertex.

543 citations


Journal ArticleDOI
TL;DR: The problem of constructing a perfect matching in a graph is in the complexity class Random NC; i.e., the problem is solvable in polylog time by a randomized parallel algorithm using a polynomial-bounded number of processors.
Abstract: We show that the problem of constructing a perfect matching in a graph is in the complexity class Random NC; i.e., the problem is solvable in polylog time by a randomized parallel algorithm using a polynomial-bounded number of processors. We also show that several related problems lie in Random NC. These include:

287 citations


Journal ArticleDOI
TL;DR: It is shown that the maximal length of a Davenport—Schinzel sequence composed ofn symbols is Θ (nα(n), where α(n) is the functional inverse of Ackermann’s function, and is thus very slowly increasing to infinity.
Abstract: Davenport—Schinzel sequences are sequences that do not contain forbidden subsequences of alternating symbols. They arise in the computation of the envelope of a set of functions. We show that the maximal length of a Davenport—Schinzel sequence composed ofn symbols is Θ (nα(n)), where α(n) is the functional inverse of Ackermann’s function, and is thus very slowly increasing to infinity. This is achieved by establishing an equivalence between such sequences and generalized path compression schemes on rooted trees, and then by analyzing these schemes.

223 citations


Journal ArticleDOI
TL;DR: The original one-coin von Neumann scheme is returned, and it is shown how to extend it to generate an independent unbiased sequence ofHs andTs from any Markov chain in expected linear time.
Abstract: Von Neumann’s trick for simulating anabsolutely unbiased coin by a biased one is this: Since Pr[H]=Pr[1]Pr[0]=Pr[T], the output is unbiased. Example: 00 10 11 01 01 →HTT. Peter Elias gives an algorithm to generate an independent unbiased sequence ofHs andTs that nearly achieves the Entropy of the one-coin source. His algorithm is excellent, but certain difficulties arise in trying to use it (or the original von Neumann scheme) to generate bits in expected linear time from a Markov chain. In this paper, we return to the original one-coin von Neumann scheme, and show how to extend it to generate an independent unbiased sequence ofHs andTs from any Markov chain in expected linear time. We give a wrong and a right way to do this. Two algorithms A and B use the simple von Neumann trick on every state of the Markov chain. They differ in the time they choose to announce the coin flip. This timing is crucial.

163 citations


Journal ArticleDOI
TL;DR: It is shown that the points versus hyperplanes incidence graphs of finite geometries form highly (nonlinear) expanding graphs with essentially the smallest possible number of edges.
Abstract: Expanding graphs are relevant to theoretical computer science in several ways. Here we show that the points versus hyperplanes incidence graphs of finite geometries form highly (nonlinear) expanding graphs with essentially the smallest possible number of edges. The expansion properties of the graphs are proved using the eigenvalues of their adjacency matrices. These graphs enable us to improve previous results on a parallel sorting problem that arises in structural modeling, by describing an explicit algorithm to sortn elements ink time units using $$O(n^{\alpha _k } )$$ parallel processors, where, e.g., α2=7/4, α3=8/5, α4=26/17 and α5=22/15. Our approach also yields several applications to Ramsey Theory and other extremal problems in combinatorics.

132 citations


Journal ArticleDOI
TL;DR: It is proven that there exists a choice of signs for which all partial sums have max norm at mostKn1/2 and it is shown that such a choice must be anticipatory—there is no way to choose thei-th sign without knowledge of vj forj>i.
Abstract: Let v1, ..., v n be vectors inR n of max norm at most one. It is proven that there exists a choice of signs for which all partial sums have max norm at mostKn 1/2. It is further shown that such a choice of signs must be anticipatory—there is no way to choose thei-th sign without knowledge of v j forj>i.

104 citations


Journal ArticleDOI
TL;DR: This paper gives tighter bounds than were previously known for the performance of the bin packing algorithms Best Fit and First Fit when the inputs are uniformly distributed on [0, 1].
Abstract: In this paper we give tighter bounds than were previously known for the performance of the bin packing algorithms Best Fit and First Fit when the inputs are uniformly distributed on [0, 1]. We also give a general lower bound for the performance of any on-line bin packing algorithm on this distribution. We prove these results by analyzing optimal matchings on points randomly distributed in a unit square. We give a new lower bound for the up-right matching problem.

100 citations


Journal ArticleDOI
TL;DR: If G is an undirected graph which does not contain any homeomorph of K4 in which all triangles ofK4 have become odd circuits, then G ist-perfect, and this extends results of Boulala, Fonlupt, Sbihi and Uhry.
Abstract: A matrixA=(a ij ) has theEdmonds—Johnson property if, for each choice of integral vectorsd 1,d 2,b 1,b 2, the convex hull of the integral solutions ofd 1≦x≦d 2,b 1≦Ax≦b 2 is obtained by adding the inequalitiescx≦|δ|, wherec is an integral vector andcx≦δ holds for each solution ofd 1≦x≦d 2,b 1≦Ax≦b 2. We characterize the Edmonds—Johnson property for integral matricesA which satisfy $$\mathop \Sigma \limits_j |a_{ij} | \leqq 2$$ for each (row index)i. A corollary is that ifG is an undirected graph which does not contain any homeomorph ofK 4 in which all triangles ofK 4 have become odd circuits, thenG ist-perfect. This extends results of Boulala, Fonlupt, Sbihi and Uhry.

97 citations


Journal ArticleDOI
TL;DR: This paper presents an algorithm that uses timeO(mn3), wherem is the number of elements andn is the rank, which is based on the method of augmenting paths used in the algorithms for all subcases of the problem.
Abstract: Linear matroid parity generalizes matroid intersection and graph matching (and hence network flow, degree-constrained subgraphs, etc.). A polynomial algorithm was given by Lovasz. This paper presents an algorithm that uses timeO(mn 3), wherem is the number of elements andn is the rank. (The time isO(mn 2.5) using fast matrix multiplication; both bounds assume the uniform cost model). For graphic matroids the time isO(mn 2). The algorithm is based on the method of augmenting paths used in the algorithms for all subcases of the problem.

Journal ArticleDOI
Noga Alon1
TL;DR: The lower bound is proved by multilinear techniques (exterior algebra), and its assertion for the complement of ann-cycle settles a problem of Frankl.
Abstract: An equivalence graph is a vertex disjoint union of complete graphs. For a graphG, let eq(G) be the minimum number of equivalence subgraphs ofG needed to cover all edges ofG. Similarly, let cc(G) be the minimum number of complete subgraphs ofG needed to cover all its edges. LetH be a graph onn vertices with maximal degree ≦d (and minimal degree ≧1), and letG= $$\bar H$$ be its complement. We show that $$\log _2 n - \log _2 d \leqq eq(G) \leqq cc(G) \leqq 2e^2 (d + 1)^2 \log _e n.$$ The lower bound is proved by multilinear techniques (exterior algebra), and its assertion for the complement of ann-cycle settles a problem of Frankl. The upper bound is proved by probabilistic arguments, and it generalizes results of de Caen, Gregory and Pullman.

Journal ArticleDOI
TL;DR: For two polyhedra associated with packing subtrees of a tree, the structure of the vertices is described, and efficient algorithms are given for optimisation over thepolyhedra.
Abstract: For two polyhedra associated with packing subtrees of a tree, the structure of the vertices is described, and efficient algorithms are given for optimisation over the polyhedra. For the related problem of covering a tree by subtrees, a reduction to a packing problem, and an efficient algorithm are presented when the family of trees is “fork-free”.

Journal ArticleDOI
TL;DR: This paper proves that constructions based on the cyclic partition of PG(2,q) into disjoint Baer-subplanes result in isomorphic (q−√q+1)-arcs and discusses the connections between Kestenband’s and these constructions.
Abstract: The theorem of B. Segre mentioned in the title states that a complete arc of PG(2,q),q even which is not a hyperoval consists of at mostq−√q+1 points. In the first part of our paper we prove this theorem to be sharp forq=s 2 by constructing completeq−√q+1-arcs. Our construction is based on the cyclic partition of PG(2,q) into disjoint Baer-subplanes. (See Bruck [1]). In his paper [5] Kestenband constructed a class of (q−√q+1)-arcs but he did not prove their completeness. In the second part of our paper we discuss the connections between Kestenband’s and our constructions. We prove that these constructions result in isomorphic (q−√q+1)-arcs. The proof of this isomorphism is based on the existence of a traceorthogonal normal basis in GF(q 3) over GF(q), and on a representation of GF(q)3 in GF(q 3)3 indicated in Jamison [4].

Journal ArticleDOI
TL;DR: The min-max formula for the size of a maximum matching is used to convert any Monte Carlo maximum matching algorithm into a Las Vegas (error-free) one and the resulting algorithm returns (with high probability) amaximum matching and a certificate proving that the matching is indeed maximum.
Abstract: Recently two randomized algorithms were discovered that find a maximum matching in an arbitrary graph in polylog time, when run on a parallel random access machine. Both are Monte Carlo algorithms — they have the drawback that with non-zero probability the output is a non-maximum matching. We use the min-max formula for the size of a maximum matching to convert any Monte Carlo maximum matching algorithm into a Las Vegas (error-free) one. The resulting algorithm returns (with high probability) a maximum matching and a certificate proving that the matching is indeed maximum.

Journal ArticleDOI
TL;DR: An asymptotic formula is obtained for An,q, the number of digraphs withn labeled vertices,q edges and no cycles, that shows combinatorially thatAn,q is a smooth function ofq.
Abstract: We obtain an asymptotic formula forA n,q , the number of digraphs withn labeled vertices,q edges and no cycles. The derivation consists of two separate parts. In the first we analyze the generating function forA n,q so as to obtain a central limit theorem for an associated probability distribution. In the second part we show combinatorially thatA n,q is a smooth function ofq. By combining these results, we obtain the desired asymptotic formula.

Journal ArticleDOI
TL;DR: This paper deals with the extremal families, e.g., they are completely described for infinitely many values ofm, and is concerned with k-d-element subsets of these families.
Abstract: The following problem was answered by a theorem of Kruskal, Katona, and Lindstrom about 20 years ago: Given a family ofk-element sets ℱ, |ℱ|=m, at least how many (k-d)-element subsets are contained in the members of ℱ? This paper deals with the extremal families, e.g., they are completely described for infinitely many values ofm.

Journal ArticleDOI
Peter Frankl1
TL;DR: It is proved that m(4k) is the maximal number of codewords in a code of length 4k over an alphabet of size two, such that no two codeword have Hamming distance 2k.
Abstract: Fork a positive integer letm(4k) denote the maximum number of ±1-vectors of length 4k so that no two are orthogonal. Equivalently,m(4k) is the maximal number of codewords in a code of length 4k over an alphabet of size two, such that no two codewords have Hamming distance 2k. It is proved thatm(4k)=4 $$\sum\limits_{0 \leqq i< k} {\left( {\begin{array}{*{20}c} {4k - 1} \\ i \\ \end{array} } \right)} $$ ifk is the power of an odd prime.

Journal ArticleDOI
TL;DR: The results in this paper show that whereq is a prime power andn is sufficiently large, (n >n (k, c)) then the corresponding lower bound is given by the following construction.
Abstract: Let ℱ be a family ofk-subsets on ann-setX andc be a real number 0 n (k, c)) then Open image in new window The corresponding lower bound is given by the following construction. LetY be a (qt + ... +q + 1)-subset ofX andH1,H2, ...,H|Y| the hyperplanes of thet-dimensional projective space of orderq onY. Let ℱ consist of thosek-subsets which intersectY in a hyperplane, i.e., ℱ={F∈(kX): there exists ani, 1≦i≦|Y|, such thatY∩F=Hi}.

Journal ArticleDOI
TL;DR: It is shown how geometric parameters of a space partition associated withG influence the complexity of this problem and existing methods for analyzing such space partitions are suggested as a powerful tool for establishing lower bounds for a variety of computational problems.
Abstract: The following computational problem was initiated by Manber and Tompa (22nd FOCS Conference, 1981): Given a graphG=(V, E) and a real functionf:V→R which is a proposed vertex coloring. Decide whetherf is a proper vertex coloring ofG. The elementary steps are taken to be linear comparisons. Lower bounds on the complexity of this problem are derived using the chromatic polynomial ofG. It is shown how geometric parameters of a space partition associated withG influence the complexity of this problem. Existing methods for analyzing such space partitions are suggested as a powerful tool for establishing lower bounds for a variety of computational problems.

Journal ArticleDOI
TL;DR: This paper studies the distribution ofk-contractible edges in triangle-free graphs and shows the following: Whenk≧2, everyk-connected graph of girth at least four and ordern≧3k, hasn+(3/2)k2-3k or morek- contractible edges.
Abstract: An edge of a graph is calledk-contractible if the contraction of the edge results in ak-connected graph. Thomassen [5] proved that everyk-connected graph of girth at least four has ak-contractible edge. In this paper, we study the distribution ofk-contractible edges in triangle-free graphs and show the following: Whenk≧2, everyk-connected graph of girth at least four and ordern≧3k, hasn+(3/2)k2-3k or morek-contractible edges.

Journal ArticleDOI
TL;DR: A direct combinatorial proof is given to a generalization of the fact that the largest modulusN of a disjoint covering system appears at leastp times in the system, wherep is the smallest prime dividingN.
Abstract: A direct combinatorial proof is given to a generalization of the fact that the largest modulusN of a disjoint covering system appears at leastp times in the system, wherep is the smallest prime dividingN. The method is based on geometric properties of lattice parallelotopes.

Journal ArticleDOI
TL;DR: This paper proves that for a graphG onn vertices ifn is sufficiently large, cc(G) denotes the least number of complete subgraphs necessary to cover the edges of a graph G.
Abstract: Let cc(G) denote the least number of complete subgraphs necessary to cover the edges of a graphG Erdős conjectured that for a graphG onn vertices $$cc(G) + cc(\bar G) \leqq \frac{1}{4}n^2 + 2$$ ifn is sufficiently large We prove this conjecture

Journal ArticleDOI
TL;DR: The following conjecture of R. L. Graham is verified: ifn≧n0, wheren0 is an explicitly computable constant, then for anyn distinct positive integersa1,a2, ...,an the authors have ai/(ai,aj) ≧ ≧n, and equality holds only in two trivial cases.
Abstract: The following conjecture of R. L. Graham is verified: Ifn≧n 0, wheren 0 is an explicitly computable constant, then for anyn distinct positive integersa 1,a 2, ...,a n we have\(\mathop {\max }\limits_{i,j} \) a i /(a i ,a j ) ≧ ≧n, and equality holds only in two trivial cases. Here (a i ,a j ) stands for the greatest cnmmon divisor ofa i anda j .

Journal ArticleDOI
TL;DR: Oriented adjoints are introduced and it is proved that they can be embedded into the extension lattice of oriented matroids.
Abstract: An adjoint of a geometric latticeG is a geometric lattice $$\tilde G$$ of the same rank into which there is an embeddinge mapping the copoints ofG onto the points of $$\tilde G$$ . In this paper we introduce oriented adjoints and prove that they can be embedded into the extension lattice of oriented matroids.

Journal ArticleDOI
TL;DR: It is shown that every digraph has a kernel (i.e. an absorbing and independent set) under the following parity condition: For every pair of verticesx, y x ≠ y all minimal directed paths betweenx andy have the same length parity.
Abstract: We show that every digraph has a kernel (i.e. an absorbing and independent set) under the following parity condition: For every pair of verticesx, y x ≠ y all minimal directed paths betweenx andy have the same length parity.

Journal ArticleDOI
TL;DR: This paper provides counterexamples to two conjectures of Robertson is that each triple of elements in a 4-connected non-graphic matroid is in some circuit.
Abstract: Tutte characterized binary matroids to be those matroids without aU 4 2 minor. Bixby strengthened Tutte’s result, proving that each element of a 2-connected non-binary matroid is in someU 4 2 minor. Seymour proved that each pair of elements in a 3-connected non-binary matroid is in someU 4 2 minor and conjectured that each triple of elements in a 4-connected non-binary matroid is in someU 4 2 minor. A related conjecture of Robertson is that each triple of elements in a 4-connected non-graphic matroid is in some circuit. This paper provides counterexamples to these two conjectures.

Journal ArticleDOI
TL;DR: It is proved, that every minimal graph of the minimal basis of all graphs which cannot be embedded into the orientable surface f of genusp has orientable genusp+1 and non-orientable genusq with 1≦q≦2p+2 and that this method, called saturation method, will succeed in characterizing all minimal graphs which are not embeddable into the torus.
Abstract: D. Konig asks the interesting question in [7] whether there are facts corresponding to the theorem of Kuratowski which apply to closed orientable or non-orientable surfaces of any genus. Since then this problem has been solved only for the projective plane ([2], [3], [8]). In order to demonstrate that Konig’s question can be affirmed we shall first prove, that every minimal graph of the minimal basis of all graphs which cannot be embedded into the orientable surface f of genusp has orientable genusp+1 and non-orientable genusq with 1≦q≦2p+2. Then let f be the torus. We shall derive a characterization of all minimal graphs of the minimal basis with the nonorientable genusq=1 which are not embeddable into the torus. There will be two very important graphs signed withX 8 andX 7 later. Furthermore 19 graphsG 1,G 2, ...,G 19 of the minimal basisM(torus, >4) will be specified. We shall prove that five of them have non-orientable genusq=1, ten of them have non-orientable genusq=2 and four of them non-orientable genusq=3. Then we shall point out a method of determining graphs of the minimal basisM(torus, >4) which are embeddable into the projective plane. Using the possibilities of embedding into the projective plane the results of [2] and [3] are necessary. This method will be called saturation method. Using the minimal basisM(projective plane, >4) of [3] we shall at last develop a method of determining all graphs ofM(torus, >4) which have non-orientable genusq≧2. Applying this method we shall succeed in characterizing all minimal graphs which are not embeddable into the torus. The importance of the saturation method will be shown by determining another graphG 20≠G 1,G 2, ...,G 19 ofM(torus, >4).

Journal ArticleDOI
TL;DR: A family of two-valued functions defined on ann-element set in which each pair of functions in satisfy a given intersection condition and for certain intersection conditions the maximal value of is determined.
Abstract: Let Open image in new window be a family of two-valued functions defined on ann-element set in which each pair of functions in Open image in new window satisfy a given intersection condition. For certain intersection conditions we determine the maximal value of Open image in new window .

Journal ArticleDOI
TL;DR: It is proved that the number of the common edges of twos-path (s-cycles) randomly chosen from the set ofs-paths ( s- cycles) ofKn (respectivelyK*n), are random variables, distributed asymptotically in accordance with the Poisson law whenever s/n exists, thus extending a result by Baróti.
Abstract: In this paper it is deduced the number ofs-paths (s-cycles) havingk edges in common with a fixeds-path (s-cycle) of the complete graphK n (orK* n for directed graphs).